# Functor Flow.Goldberg

    module Goldberg: functor (G : G_GOLDBERG) -> functor (F : FLOW  with type label = G.E.label) -> sig .. end

Parameters:

`G` | : | `G_GOLDBERG`
`F` | : | `FLOW with type label = G.E.label`

    val maxflow : G.t -> G.V.t -> G.V.t -> (G.E.t -> F.t) * F.t

`maxflow g v1 v2` searchs the maximal flow from source `v1` to terminal `v2` using the Goldberg algorithm. It returns the new flows on each edges and the growth of the flow.